// Code generated by protoc-gen-go. DO NOT EDIT.
// source: weathertracker.proto

package weathertracker

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type GetLocationTemperatureRequest_TemperatureScale int32

const (
	GetLocationTemperatureRequest_K GetLocationTemperatureRequest_TemperatureScale = 0
	GetLocationTemperatureRequest_C GetLocationTemperatureRequest_TemperatureScale = 1
	GetLocationTemperatureRequest_F GetLocationTemperatureRequest_TemperatureScale = 2
)

var GetLocationTemperatureRequest_TemperatureScale_name = map[int32]string{
	0: "K",
	1: "C",
	2: "F",
}

var GetLocationTemperatureRequest_TemperatureScale_value = map[string]int32{
	"K": 0,
	"C": 1,
	"F": 2,
}

func (x GetLocationTemperatureRequest_TemperatureScale) String() string {
	return proto.EnumName(GetLocationTemperatureRequest_TemperatureScale_name, int32(x))
}

func (GetLocationTemperatureRequest_TemperatureScale) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_0429d34994d1a146, []int{2, 0}
}

// The request message containing location name and temperature
type AddLocationTemperatureRequest struct {
	LocationName         string   `protobuf:"bytes,1,opt,name=locationName,proto3" json:"locationName,omitempty"`
	TemperatureK         int32    `protobuf:"varint,2,opt,name=temperatureK,proto3" json:"temperatureK,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddLocationTemperatureRequest) Reset()         { *m = AddLocationTemperatureRequest{} }
func (m *AddLocationTemperatureRequest) String() string { return proto.CompactTextString(m) }
func (*AddLocationTemperatureRequest) ProtoMessage()    {}
func (*AddLocationTemperatureRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0429d34994d1a146, []int{0}
}

func (m *AddLocationTemperatureRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddLocationTemperatureRequest.Unmarshal(m, b)
}
func (m *AddLocationTemperatureRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddLocationTemperatureRequest.Marshal(b, m, deterministic)
}
func (m *AddLocationTemperatureRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddLocationTemperatureRequest.Merge(m, src)
}
func (m *AddLocationTemperatureRequest) XXX_Size() int {
	return xxx_messageInfo_AddLocationTemperatureRequest.Size(m)
}
func (m *AddLocationTemperatureRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_AddLocationTemperatureRequest.DiscardUnknown(m)
}

var xxx_messageInfo_AddLocationTemperatureRequest proto.InternalMessageInfo

func (m *AddLocationTemperatureRequest) GetLocationName() string {
	if m != nil {
		return m.LocationName
	}
	return ""
}

func (m *AddLocationTemperatureRequest) GetTemperatureK() int32 {
	if m != nil {
		return m.TemperatureK
	}
	return 0
}

// The response message containing confirmation
type AddLocationTemperatureReply struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddLocationTemperatureReply) Reset()         { *m = AddLocationTemperatureReply{} }
func (m *AddLocationTemperatureReply) String() string { return proto.CompactTextString(m) }
func (*AddLocationTemperatureReply) ProtoMessage()    {}
func (*AddLocationTemperatureReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0429d34994d1a146, []int{1}
}

func (m *AddLocationTemperatureReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddLocationTemperatureReply.Unmarshal(m, b)
}
func (m *AddLocationTemperatureReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddLocationTemperatureReply.Marshal(b, m, deterministic)
}
func (m *AddLocationTemperatureReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddLocationTemperatureReply.Merge(m, src)
}
func (m *AddLocationTemperatureReply) XXX_Size() int {
	return xxx_messageInfo_AddLocationTemperatureReply.Size(m)
}
func (m *AddLocationTemperatureReply) XXX_DiscardUnknown() {
	xxx_messageInfo_AddLocationTemperatureReply.DiscardUnknown(m)
}

var xxx_messageInfo_AddLocationTemperatureReply proto.InternalMessageInfo

func (m *AddLocationTemperatureReply) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

// The request message containing location name and temperature scale
type GetLocationTemperatureRequest struct {
	LocationName         string                                         `protobuf:"bytes,1,opt,name=locationName,proto3" json:"locationName,omitempty"`
	Scale                GetLocationTemperatureRequest_TemperatureScale `protobuf:"varint,2,opt,name=scale,proto3,enum=weathertracker.GetLocationTemperatureRequest_TemperatureScale" json:"scale,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                                       `json:"-"`
	XXX_unrecognized     []byte                                         `json:"-"`
	XXX_sizecache        int32                                          `json:"-"`
}

func (m *GetLocationTemperatureRequest) Reset()         { *m = GetLocationTemperatureRequest{} }
func (m *GetLocationTemperatureRequest) String() string { return proto.CompactTextString(m) }
func (*GetLocationTemperatureRequest) ProtoMessage()    {}
func (*GetLocationTemperatureRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0429d34994d1a146, []int{2}
}

func (m *GetLocationTemperatureRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetLocationTemperatureRequest.Unmarshal(m, b)
}
func (m *GetLocationTemperatureRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetLocationTemperatureRequest.Marshal(b, m, deterministic)
}
func (m *GetLocationTemperatureRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetLocationTemperatureRequest.Merge(m, src)
}
func (m *GetLocationTemperatureRequest) XXX_Size() int {
	return xxx_messageInfo_GetLocationTemperatureRequest.Size(m)
}
func (m *GetLocationTemperatureRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetLocationTemperatureRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetLocationTemperatureRequest proto.InternalMessageInfo

func (m *GetLocationTemperatureRequest) GetLocationName() string {
	if m != nil {
		return m.LocationName
	}
	return ""
}

func (m *GetLocationTemperatureRequest) GetScale() GetLocationTemperatureRequest_TemperatureScale {
	if m != nil {
		return m.Scale
	}
	return GetLocationTemperatureRequest_K
}

// The response message containing temperature value
type GetLocationTemperatureReply struct {
	Temperature          int32    `protobuf:"varint,1,opt,name=temperature,proto3" json:"temperature,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetLocationTemperatureReply) Reset()         { *m = GetLocationTemperatureReply{} }
func (m *GetLocationTemperatureReply) String() string { return proto.CompactTextString(m) }
func (*GetLocationTemperatureReply) ProtoMessage()    {}
func (*GetLocationTemperatureReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_0429d34994d1a146, []int{3}
}

func (m *GetLocationTemperatureReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetLocationTemperatureReply.Unmarshal(m, b)
}
func (m *GetLocationTemperatureReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetLocationTemperatureReply.Marshal(b, m, deterministic)
}
func (m *GetLocationTemperatureReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetLocationTemperatureReply.Merge(m, src)
}
func (m *GetLocationTemperatureReply) XXX_Size() int {
	return xxx_messageInfo_GetLocationTemperatureReply.Size(m)
}
func (m *GetLocationTemperatureReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetLocationTemperatureReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetLocationTemperatureReply proto.InternalMessageInfo

func (m *GetLocationTemperatureReply) GetTemperature() int32 {
	if m != nil {
		return m.Temperature
	}
	return 0
}

func init() {
	proto.RegisterEnum("weathertracker.GetLocationTemperatureRequest_TemperatureScale", GetLocationTemperatureRequest_TemperatureScale_name, GetLocationTemperatureRequest_TemperatureScale_value)
	proto.RegisterType((*AddLocationTemperatureRequest)(nil), "weathertracker.AddLocationTemperatureRequest")
	proto.RegisterType((*AddLocationTemperatureReply)(nil), "weathertracker.AddLocationTemperatureReply")
	proto.RegisterType((*GetLocationTemperatureRequest)(nil), "weathertracker.GetLocationTemperatureRequest")
	proto.RegisterType((*GetLocationTemperatureReply)(nil), "weathertracker.GetLocationTemperatureReply")
}

func init() {
	proto.RegisterFile("weathertracker.proto", fileDescriptor_0429d34994d1a146)
}

var fileDescriptor_0429d34994d1a146 = []byte{
	// 285 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x12, 0x29, 0x4f, 0x4d, 0x2c,
	0xc9, 0x48, 0x2d, 0x2a, 0x29, 0x4a, 0x4c, 0xce, 0x4e, 0x2d, 0xd2, 0x2b, 0x28, 0xca, 0x2f, 0xc9,
	0x17, 0xe2, 0x43, 0x15, 0x55, 0x4a, 0xe7, 0x92, 0x75, 0x4c, 0x49, 0xf1, 0xc9, 0x4f, 0x4e, 0x2c,
	0xc9, 0xcc, 0xcf, 0x0b, 0x49, 0xcd, 0x2d, 0x28, 0x2d, 0x4a, 0x2c, 0x29, 0x2d, 0x4a, 0x0d, 0x4a,
	0x2d, 0x2c, 0x4d, 0x2d, 0x2e, 0x11, 0x52, 0xe2, 0xe2, 0xc9, 0x81, 0xca, 0xfa, 0x25, 0xe6, 0xa6,
	0x4a, 0x30, 0x2a, 0x30, 0x6a, 0x70, 0x06, 0xa1, 0x88, 0x81, 0xd4, 0x94, 0xa4, 0xe6, 0x16, 0xa4,
	0x42, 0x74, 0x7a, 0x4b, 0x30, 0x29, 0x30, 0x6a, 0xb0, 0x06, 0xa1, 0x88, 0x29, 0x99, 0x73, 0x49,
	0xe3, 0xb2, 0xa8, 0x20, 0xa7, 0x52, 0x48, 0x82, 0x8b, 0x3d, 0x37, 0xb5, 0xb8, 0x38, 0x31, 0x1d,
	0x66, 0x03, 0x8c, 0xab, 0x74, 0x88, 0x91, 0x4b, 0xd6, 0x3d, 0xb5, 0x84, 0x42, 0x27, 0x86, 0x70,
	0xb1, 0x16, 0x27, 0x27, 0xe6, 0xa4, 0x82, 0xdd, 0xc6, 0x67, 0x64, 0xa7, 0x87, 0x16, 0x3a, 0x78,
	0x6d, 0xd0, 0x0b, 0x41, 0xf8, 0x24, 0x18, 0x64, 0x4a, 0x10, 0xc4, 0x30, 0x25, 0x75, 0x2e, 0x01,
	0x74, 0x29, 0x21, 0x56, 0x2e, 0x46, 0x6f, 0x01, 0x06, 0x10, 0xe5, 0x2c, 0xc0, 0x08, 0xa2, 0xdc,
	0x04, 0x98, 0x94, 0xec, 0xb9, 0xa4, 0x71, 0xd9, 0x00, 0xf2, 0xbd, 0x02, 0x17, 0x37, 0x52, 0x60,
	0x81, 0x3d, 0xc0, 0x1a, 0x84, 0x2c, 0x64, 0xd4, 0xc0, 0xc4, 0xc5, 0x17, 0x0e, 0x71, 0x72, 0x08,
	0xc4, 0xc9, 0x42, 0x65, 0x5c, 0x62, 0xd8, 0x43, 0x54, 0x48, 0x17, 0xdd, 0x77, 0x78, 0xa3, 0x58,
	0x4a, 0x9b, 0x58, 0xe5, 0x05, 0x39, 0x95, 0x4a, 0x0c, 0x20, 0x7b, 0xb1, 0xfb, 0x05, 0xd3, 0x5e,
	0xbc, 0xa1, 0x8a, 0x69, 0x2f, 0x9e, 0x20, 0x52, 0x62, 0x48, 0x62, 0x03, 0xa7, 0x60, 0x63, 0x40,
	0x00, 0x00, 0x00, 0xff, 0xff, 0x3d, 0x4f, 0xe4, 0xf1, 0xd9, 0x02, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// WeatherTrackerClient is the client API for WeatherTracker service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type WeatherTrackerClient interface {
	// Stores a Temperature for a location
	AddLocationTemperature(ctx context.Context, in *AddLocationTemperatureRequest, opts ...grpc.CallOption) (*AddLocationTemperatureReply, error)
	GetLocationTemperature(ctx context.Context, in *GetLocationTemperatureRequest, opts ...grpc.CallOption) (*GetLocationTemperatureReply, error)
}

type weatherTrackerClient struct {
	cc grpc.ClientConnInterface
}

func NewWeatherTrackerClient(cc grpc.ClientConnInterface) WeatherTrackerClient {
	return &weatherTrackerClient{cc}
}

func (c *weatherTrackerClient) AddLocationTemperature(ctx context.Context, in *AddLocationTemperatureRequest, opts ...grpc.CallOption) (*AddLocationTemperatureReply, error) {
	out := new(AddLocationTemperatureReply)
	err := c.cc.Invoke(ctx, "/weathertracker.WeatherTracker/AddLocationTemperature", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *weatherTrackerClient) GetLocationTemperature(ctx context.Context, in *GetLocationTemperatureRequest, opts ...grpc.CallOption) (*GetLocationTemperatureReply, error) {
	out := new(GetLocationTemperatureReply)
	err := c.cc.Invoke(ctx, "/weathertracker.WeatherTracker/GetLocationTemperature", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// WeatherTrackerServer is the server API for WeatherTracker service.
type WeatherTrackerServer interface {
	// Stores a Temperature for a location
	AddLocationTemperature(context.Context, *AddLocationTemperatureRequest) (*AddLocationTemperatureReply, error)
	GetLocationTemperature(context.Context, *GetLocationTemperatureRequest) (*GetLocationTemperatureReply, error)
}

// UnimplementedWeatherTrackerServer can be embedded to have forward compatible implementations.
type UnimplementedWeatherTrackerServer struct {
}

func (*UnimplementedWeatherTrackerServer) AddLocationTemperature(ctx context.Context, req *AddLocationTemperatureRequest) (*AddLocationTemperatureReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddLocationTemperature not implemented")
}
func (*UnimplementedWeatherTrackerServer) GetLocationTemperature(ctx context.Context, req *GetLocationTemperatureRequest) (*GetLocationTemperatureReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetLocationTemperature not implemented")
}

func RegisterWeatherTrackerServer(s *grpc.Server, srv WeatherTrackerServer) {
	s.RegisterService(&_WeatherTracker_serviceDesc, srv)
}

func _WeatherTracker_AddLocationTemperature_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddLocationTemperatureRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WeatherTrackerServer).AddLocationTemperature(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/weathertracker.WeatherTracker/AddLocationTemperature",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WeatherTrackerServer).AddLocationTemperature(ctx, req.(*AddLocationTemperatureRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _WeatherTracker_GetLocationTemperature_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetLocationTemperatureRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(WeatherTrackerServer).GetLocationTemperature(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/weathertracker.WeatherTracker/GetLocationTemperature",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(WeatherTrackerServer).GetLocationTemperature(ctx, req.(*GetLocationTemperatureRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _WeatherTracker_serviceDesc = grpc.ServiceDesc{
	ServiceName: "weathertracker.WeatherTracker",
	HandlerType: (*WeatherTrackerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddLocationTemperature",
			Handler:    _WeatherTracker_AddLocationTemperature_Handler,
		},
		{
			MethodName: "GetLocationTemperature",
			Handler:    _WeatherTracker_GetLocationTemperature_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "weathertracker.proto",
}
